Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
alexkOffline
15 Post subject: LibreOffice to be removed (Solved)  PostPosted: 06.12.2013, 17:51



Joined: 2010-10-01
Posts: 192

Status: Offline
On today's dist-upgrade attempt:
      Code:
apt-get -s dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  adobereader-enu:i386 libgtk2.0-0:i386 libharfbuzz0a libharfbuzz0a:i386 libpango1.0-0:i386 libpangocairo-1.0-0:i386
  libpangoft2-1.0-0:i386 libpangoxft-1.0-0:i386 libreoffice-base libreoffice-base-core libreoffice-calc libreoffice-core
  libreoffice-draw libreoffice-help-en-us libreoffice-impress libreoffice-kde libreoffice-math libreoffice-ogltrans
  libreoffice-pdfimport libreoffice-report-builder-bin libreoffice-writer mythes-en-us python-uno
The following NEW packages will be installed:
  libharfbuzz0b libicu52 libtiff5:i386
The following packages have been kept back:
  libmjpegutils-2.0-0
The following packages will be upgraded:
  blender blender-data calibre calibre-bin devede dpkg dpkg-dev dselect gir1.2-javascriptcoregtk-3.0 gir1.2-packagekitglib-1.0
  gir1.2-pango-1.0 gir1.2-webkit-3.0 iso-codes libboost-chrono1.54.0 libboost-date-time1.54.0 libboost-filesystem1.54.0
  libboost-iostreams1.54.0 libboost-locale1.54.0 libboost-program-options1.54.0 libboost-python1.53.0 libboost-python1.54.0
  libboost-regex1.54.0 libboost-signals1.54.0 libboost-system1.54.0 libboost-thread1.54.0 libbrlapi0.6 libcdr-0.0-0
  libchromaprint0 libdee-1.0-4 libdpkg-perl libharfbuzz-icu0 libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 libjpeg62
  libjpeg62:i386 libkpathsea6 libllvm3.3 libllvm3.3:i386 libmspub-0.0-0 libpackagekit-glib2-16 libpango-1.0-0
  libpango-1.0-0:i386 libpango1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpangoxft-1.0-0 libpq5 libproc-processtable-perl
  libqt4-dbg libqt4-dbus libqt4-dbus:i386 libqt4-declarative libqt4-designer libqt4-dev libqt4-dev-bin libqt4-help
  libqt4-network libqt4-network:i386 libqt4-opengl libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql
  libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-xml libqt4-xml:i386 libqt4-xmlpatterns libqtcore4
  libqtcore4:i386 libqtdbus4 libqtdbus4:i386 libqtgui4 libqtgui4:i386 libssh2-1 libssh2-1:i386 libtiff-tools libtiff4
  libtiff4:i386 libtiff5 libvisio-0.0-0 libwebkitgtk-1.0-0 libwebkitgtk-1.0-common libwebkitgtk-3.0-0 libwebkitgtk-3.0-common
  libxapian22 linux-libc-dev mc mc-data python-xapian qdbus qt4-linguist-tools qt4-qmake qt4-qtconfig qtcore4-l10n seabios
  youtube-dl
99 upgraded, 3 newly installed, 23 to remove and 1 not upgraded.


Last edited by alexk on 08.12.2013, 05:05; edited 1 time in total
 
 View user's profile Send private message Yahoo Messenger  
Reply with quote Back to top
polixOffline
Post subject: RE: LibreOffice to be removed  PostPosted: 06.12.2013, 22:19



Joined: 2012-10-20
Posts: 28
Location: Germany
Status: Offline
I don't have problems: http://paste.debian.net/69738/
 
 View user's profile Send private message  
Reply with quote Back to top
mheyesOffline
Post subject: RE: LibreOffice to be removed  PostPosted: 06.12.2013, 22:57



Joined: 2011-02-10
Posts: 41

Status: Offline
libreoffice to be removed here as well. been a few days since this first popped up.
 
 View user's profile Send private message  
Reply with quote Back to top
alexkOffline
Post subject: RE: LibreOffice to be removed  PostPosted: 07.12.2013, 01:55



Joined: 2010-10-01
Posts: 192

Status: Offline
The Amd64 version of libreoffice-core still depends on libharfbuzz0a and it's apparently being replaced by libharfbuzz0b:
      Code:
$ apt-cache depends libreoffice-core | grep  libharfbuzz0
  Depends: libharfbuzz0a
$ apt-cache depends libreoffice-core:i386 | grep  libharfbuzz0
  Depends: libharfbuzz0b:i386
 
 View user's profile Send private message Yahoo Messenger  
Reply with quote Back to top
vinurOffline
Post subject: RE: LibreOffice to be removed  PostPosted: 07.12.2013, 01:58



Joined: 2010-09-11
Posts: 61
Location: Lake Oswego
Status: Offline
I saw the removal warning and took a look at replacements, did not see any yet, so I backed out without DU.

I noticed the trigger for removal seems to be an upgrade for: Web content engine library for GTK+ and the related files.
WebKit is a web content engine, derived from KHTML and KJS from KDE, and
used primarily in Apple's Safari browser.

I will just hold back a little and wait... I need LibreOffice to work well.
I am pretty sure this will be corrected or stabilized within a few days or LibreOffice upgraded as well.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio